import { blinkMotion } from "../../style/motion/blink.js";
import { genCollapseMotion } from "../../style/motion/collapse.js";
import { genStyleHooks } from "../../theme/genStyleUtils.js";
import genItemStyle from "./item.js";
import genThoughtChainStyle from "./thought-chain.js";
import { mergeToken } from "@antdv-next/cssinjs/cssinjs-utils";
import { FastColor } from "@ant-design/fast-color";
//#region components/thought-chain/style/index.ts
var prepareComponentToken = (token) => {
	const itemMotionDescription = new FastColor(token.colorTextDescription).setA(.25).toRgbString();
	const colorErrorTextDescription = new FastColor(token.colorErrorText).setA(.45).toRgbString();
	const colorErrorTextDisabled = new FastColor(token.colorErrorText).setA(.45).toRgbString();
	const itemSolidHoverBg = new FastColor(token.colorFillTertiary).setA(.06).toRgbString();
	const colorErrorTextDescriptionDisabled = new FastColor(token.colorErrorText).setA(.25).toRgbString();
	const colorDescriptionDisabled = new FastColor(token.colorTextDescription).setA(.25).toRgbString();
	const colorTitleDisabled = new FastColor(token.colorText).setA(.45).toRgbString();
	const colorErrorBgDisabled = new FastColor(token.colorErrorBg).setA(.25).toRgbString();
	const colorSuccessDisabled = new FastColor(token.colorSuccess).setA(.45).toRgbString();
	const colorPrimaryDisabled = new FastColor(token.colorPrimary).setA(.45).toRgbString();
	return {
		colorTextBlink: token.colorTextBase,
		colorTextBlinkDefault: token.colorTextDescription,
		itemSolidBg: token.colorFillTertiary,
		itemSolidHoverBg,
		itemOutlinedBg: token.colorBgContainer,
		itemOutlinedHoverBg: itemSolidHoverBg,
		itemBorderRadius: token.borderRadius,
		iconSize: token.fontSize,
		itemMotionDescription,
		colorErrorTextDescription,
		colorErrorTextDisabled,
		colorErrorTextDescriptionDisabled,
		colorErrorBgDisabled,
		colorDescriptionDisabled,
		colorTitleDisabled,
		colorSuccessDisabled,
		colorPrimaryDisabled
	};
};
var style_default = genStyleHooks("ThoughtChain", (token) => {
	const chainToken = mergeToken(token, {});
	return [
		genThoughtChainStyle(chainToken),
		genItemStyle(chainToken),
		genCollapseMotion(chainToken),
		blinkMotion(chainToken, `${chainToken.componentCls}-motion-blink`)
	];
}, prepareComponentToken);
//#endregion
export { style_default as default, prepareComponentToken };
